Index: trunk/rules.deb-light.in
===================================================================
--- trunk/rules.deb-light.in	(revision 531)
+++ trunk/rules.deb-light.in	(revision 549)
@@ -8,23 +8,20 @@
 #
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=9
+%:
+	dh $@ --with-autoreconf
 
-package=@install_name@
 
-# CAVEAT: including the --enable-base= option is for packages to be
-#         distributed INTERNALLY on your network, NOT for packages
-#         to be distributed to THIRD PARTIES
+override_dh_clean:
+	[ ! -f Makefile ] || $(MAKE) distclean
+	-rm -f samhainrc.install
+	-rm -f build-stamp build-server-stamp build-client-stamp
+	dh_clean
 
-build: build-stamp
-build-stamp:
-	dh_testdir
+override_dh_auto_configure:
 	@top_srcdir@/configure @mydefargs@
-	$(MAKE) 
-	echo '#!/bin/sh' > ./sstrip
-	echo 'echo "*** SSTRIP DISABLED ***"' >> ./sstrip
+
+override_dh_auto_build:
+	dh_auto_build
 	if ! test x$(PASSWORD) = x; then \
 		if test -f samhain_setpwd; then \
@@ -34,80 +31,42 @@
 		fi; \
 	fi
-	touch build-stamp
 
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-	-[ -f Makefile ] && $(MAKE) distclean
-	dh_clean
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
-
+override_dh_auto_install:
 	$(MAKE) install-light install-boot DESTDIR=`pwd`/debian/@install_name@
-	# $(MAKE) install-light install-boot DESTDIR=`pwd`/debian/tmp
-
-	# However, remove the rc.d links
-	-rm -rf `pwd`/debian/tmp/etc/rc?.d
-
-	# Remove samhain_stealth for light install
-	-rm -f `pwd`/debian/tmp/@sbindir@/@install_name@_stealth
-
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
 
 
-# Build architecture-dependent files here.
-binary-arch: build install
-#	dh_testversion
-	dh_testdir
-	dh_testroot
-	dh_installdebconf	
-	# dh_installdocs
-	dh_installmenu
-	dh_installinit -- defaults 19
-	[ -f debian/@install_name@.postinst.debhelper ] && \
-	        cd debian && \
-		cat @install_name@.postinst.debhelper | \
-		    sed 's%/etc/init.d/@install_name@ start%:%' > postinst.tmp && \
-		    mv postinst.tmp @install_name@.postinst.debhelper
-	[ -f debian/@install_name@.postinst.debhelper ] && \
-	        cd debian && \
-		cat @install_name@.postinst.debhelper | \
-		    sed 's%invoke-rc.d @install_name@ start%:%' > postinst.tmp && \
-		    mv postinst.tmp @install_name@.postinst.debhelper
-	[ -f debian/@install_name@.prerm.debhelper ] && \
-		cd debian && \
-		cat @install_name@.prerm.debhelper | \
-		    sed 's%/etc/init.d/@install_name@ stop%/etc/init.d/@install_name@ stop || echo service @install_name@ already stopped%' > prerm.tmp && \
-		    mv prerm.tmp @install_name@.prerm.debhelper
-	[ -f debian/@install_name@.prerm.debhelper ] && \
-		cd debian && \
-		cat @install_name@.prerm.debhelper | \
-		    sed 's%invoke-rc.d @install_name@ stop%invoke-rc.d @install_name@ stop || echo service @install_name@ already stopped%' > prerm.tmp && \
-		    mv prerm.tmp @install_name@.prerm.debhelper
-	# dh_installmanpages
-	# dh_installchangelogs @top_srcdir@/docs/Changelog
-	dh_link
-	dh_strip
-	dh_compress
+override_dh_install:
+	# However, remove the rc.d links
+	-rm -rf `pwd`/debian/@install_name@/etc/rc?.d
+	# Remove samhain_stealth for light install
+	-rm -f `pwd`/debian/@install_name@/@sbindir@/@install_name@_stealth
+	# remove samhain_setpwd if not needed
+	if ! test x$(PASSWORD) = x; then \
+		rm -f `pwd`/debian/@install_name@/@sbindir@/@install_name@_setpwd; \
+	fi
+
+override_dh_installdocs:
+	# do nothing
+
+override_dh_installchangelogs:
+	# do nothing
+
+override_dh_installman:
+	# do nothing
+
+override_dh_installinit:
+	dh_installinit --no-start -- defaults 19
+
+override_dh_usrlocal:
+	# do nothing
+
+override_dh_fixperms:
 	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	# Fix the permissions
+	chmod o-rX `pwd`/debian/@install_name@/@mydataroot@ \
+		`pwd`/debian/@install_name@/@myconffile@
+	if ! test "x@mylogdir@" = "x/var/log"; then \
+		chmod o-rX `pwd`/debian/@install_name@/@mylogdir@; \
+	fi
 
 
-define checkdir
-	test -f debian/rules
-endef
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
-
